%bcond_with network_tests

Name:		perl-MetaCPAN-API-Tiny
Version:	1.150270
Release:	3%{?dist}
Summary:	A Tiny API client for MetaCPAN
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/MetaCPAN-API-Tiny
Source0:	http://cpan.metacpan.org/authors/id/J/JL/JLUIS/MetaCPAN-API-Tiny-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(HTTP::Tiny) >= 0.017
BuildRequires:	perl(JSON::PP)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test suite
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(Test::More)
# Author/Release tests
BuildRequires:	perl(Test::Pod) >= 1.41
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is the Tiny version of MetaCPAN::API. It implements a compatible API with
a few notable exceptions:

Attributes are direct hash access

 * The attributes defined using Mo(o|u)se are now accessed via the blessed hash
   directly. There are no accessors defined to access these elements.

Exception handling

 * Instead of using Try::Tiny, raw evals are used. This could potentially cause
   issues, so just be aware.

Testing

 * Test::Fatal was replaced with an eval implementation of exception().
   Test::TinyMocker usage is retained, but may be absorbed since it is pure
   perl.

%prep
%setup -q -n MetaCPAN-API-Tiny-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
%if !%{with network_tests}
mv t/{author,module,pod,release,source}.t ./
%endif

make test RELEASE_TESTING=1

%if !%{with network_tests}
mv ./{author,module,pod,release,source}.t t/
%endif

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/MetaCPAN/
%{_mandir}/man3/MetaCPAN::API::Tiny.3*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.150270-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.150270-2
- Perl 5.22 rebuild

* Wed Jan 28 2015 Paul Howarth <paul@city-fan.org> - 1.150270-1
- Update to 1.150270
  - This module is now marked as deprecated (use MetaCPAN::Client instead)
- This release by JLUIS → update source URL
- Use %%license

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.131730-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.131730-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb  7 2014 Paul Howarth <paul@city-fan.org> - 1.131730-3
- Don't run tests that require network access by default

* Thu Feb  6 2014 Paul Howarth <paul@city-fan.org> - 1.131730-2
- Sanitize for Fedora submission

* Thu Feb  6 2014 Paul Howarth <paul@city-fan.org> - 1.131730-1
- Initial RPM version
